Instead of having some tedious *Code of Conduct* which tries to micro-manage how folks communicate privately with each other this project has a set of guiding principles, which are as follows:

 * Enable users to help themselves to provide their own personal software infrastructure.
 * Enable users to help each other to provide software infrastructure for a community.
 * Principle of self-management: apps should require miniumum configuration and maintain themselves as far as possible.
 * There should be no single point of failure. Assume that other servers can and will fail occasionally.
 * Minimum data retention. Only store the data which users actually want or need, and within apps implement the function which allows logging to be turned off.
 * Respect other users right to run their own stuff and have their own policies on their own hardware.
 * Remove as many intermediating organisations as possible. For example, Google tracking embedded within some Free Software apps.
 * No tollbooths, rent-seeking, gatekeepers or paywalls.
 * Maximize energy efficiency. No systems which fundamentally depend upon proof-of-work block solving or other compute-heavy methods. The target here is small single board computers.
